Subject: Re: bug#8984: second emacsclient file argument ends up in buried buffer

From: [email-masked]
Date: Thu, 07 Jul 2011 09:38:16 +0800

>>>>> "JB" == Juanma Barranquero <[email-masked]> writes:
JB> On Thu, Jul 7, 2011 at 02:03,  <[email-masked]> wrote:

>> This reveals another big problem that confuses our testing: -nw.
>> 
>> If you add -nw, the behavior becomes different once again!

JB> The point is that IMHO it's not worth the trouble to try to force
JB> server.el to duplicate the behavior of "emacs xxx yyy zzz..." because
JB> that behavior depends on several factors. There are already several
JB> variables (server-window, server-visit-hook, server-switch-hook, etc.)
JB> that can be used to adapt server.el to specific needs.

OK, agreed. I'll close this bug and open a -nw bug. Thanks.